<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class MallStock extends Eloquent {

	protected $table = 'mall_stock';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('supply_id', 'quantity', 'damaged', 'mall_id');

	public function mall()
	{
		return $this->belongsTo('Mall', 'mall_id');
	}

	public function supply()
	{
		return $this->belongsTo('Supply', 'supply_id');
	}

}